<?php

namespace App\Console\Commands;

use Illuminate\Console\Command;
use Illuminate\Database\Eloquent\ModelNotFoundException;

class CatalogDump extends Command
{
    // Our photo object
    private $o = NULL;

    /**
     * The name and signature of the console command.
     *
     * @var string
     */
    protected $signature = 'catalog:dump {type : Photo | Video } {id : Photo ID}';

    /**
     * The console command description.
     *
     * @var string
     */
    protected $description = 'Scan Photo for metadata';

    /**
     * Execute the console command.
     *
     * @return mixed
     */
    public function handle()
    {
	$class = 'App\Model\\'.$this->argument('type');
		
	if (! class_exists($class))
		abort(500,sprintf('No class [%s]',$this->argument('type')));

	$o = $class::findOrFail($this->argument('id'));

	if (! is_readable($o->file_path()))
	{
		$this->warn(sprintf('Ignoring [%s], it is not readable',$o->file_path()));
		exit;
	}

	print_r($o->properties());
    }
}
